Error generating IP: Not Found shoud not be in the IP field

08/28/2015 03:23 AM - Lukas Zapletal

Status: Closed   

Priority: High   

Assignee: Shimon Shtein   

Category: DHCP   

Target version: 1.10.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2650

  

Description

The "Error generating IP: Not Found" error is being inserted in the field itself on error (e.g. proxy is not reachable). This is not only

nice from the UX standpoint, but when you try to create new host with proxy unavaiable and you don't even open the interface form

and submit, the IP is kept set to this string, which causes validation error. We should totally leave IP field empty on errors showing

this message as a proper validation error.

Assigning to Shimon who introduced this behavior.

Related issues:

Related to Foreman - Bug #10976: Unused IP button does not work anymore Closed 07/02/2015

Related to Foreman - Bug #12859: "Suggest new" link for IP address on interfa... Closed 12/17/2015

Associated revisions

Revision 7027757a - 08/31/2015 07:47 AM - Shimon Shtein

Fixes #11596 - Changed the javascript to put the error near te ip field, not inside it.

History

#1 - 08/28/2015 03:23 AM - Lukas Zapletal

- Related to Bug #10976: Unused IP button does not work anymore added

#2 - 08/28/2015 03:46 AM - Lukas Zapletal

- Priority changed from Normal to High

For the record, this is not just a cosmetic thing. It breaks DHCP IP address assignement if you have multiple subnets and you want to suggest an IP

address from other subnet that is pre-selected (the first one usually).

#3 - 08/30/2015 08:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2650 added

- Pull request deleted ()

#4 - 08/31/2015 08:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7027757a50cd822201177190c43607a321322d34.

#5 - 09/01/2015 04:22 AM - Dominic Cleal

- translation missing: en.field_release set to 63
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7027757a50cd822201177190c43607a321322d34


#6 - 12/18/2015 03:50 AM - Marek Hulán

- Related to Bug #12859: "Suggest new" link for IP address on interface model window doesn't work added
